Package uk.ac.starlink.vo

## Class ValueConverter.HMSDegreesValueConverter

- java.lang.Object
- - uk.ac.starlink.vo.ValueConverter
  - - uk.ac.starlink.vo.ValueConverter.HMSDegreesValueConverter

- Enclosing class:
    ValueConverter

      public static class ValueConverter.HMSDegreesValueConverter
      extends ValueConverter

  Converter for hours:minute:seconds format.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class uk.ac.starlink.vo.ValueConverter

      `ValueConverter.DMSDegreesValueConverter, ValueConverter.HMSDegreesValueConverter, ValueConverter.UnitValueConverter`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HMSDegreesValueConverter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `convertValue​(java.lang.String sval)` | Converts a string value to a numeric for this format
    `java.lang.String` | `unconvertValue​(double dval)` | Converts a numeric value to a string value for this format.

    - ### Methods inherited from class uk.ac.starlink.vo.ValueConverter

      `getName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HMSDegreesValueConverter

          public HMSDegreesValueConverter()

  - ### Method Detail

    - #### convertValue

          public double convertValue​(java.lang.String sval)

      Description copied from class: `ValueConverter`
      Converts a string value to a numeric for this format
      Specified by:
        `convertValue` in class `ValueConverter`
      Parameters:
        `sval` - string value
      Returns:
        numeric equivalent of `sval`

    - #### unconvertValue

          public java.lang.String unconvertValue​(double dval)

      Description copied from class: `ValueConverter`
      Converts a numeric value to a string value for this format.
      Specified by:
        `unconvertValue` in class `ValueConverter`
      Parameters:
        `dval` - numeric value
      Returns:
        string representation of `dval`